LIRCMD(1)

NAME
LIRC mouse daemon - translates infrared signals into mouse events

SYNOPSIS
lircmd [options] [config-file]

DESCRIPTION
This daemon can simulate a MouseSystems, IntelliMouse or IMPS/2 type mouse. It gets the received buttons from lircd and converts them to mouse events. To make this possible, lircmd needs a config file located in /etc/lircmd.conf. In this file you have to determine which button from which remote causes a mouse move or a mouse button click.

-h --help
    display this message

-v --version
    display version

-n --nodaemon
    don't fork to background

OPTIONS
If you provide the --nodaemon option lircmd won't fork to background.

FILES
lircmd will use syslogd to output error messages. It depends on your system configuration where they will show up.

DAEMONS
lircd and lircmd are daemons. You should start them in some init script depending on your system. There are some example scripts for different distributions in the contrib directory. lircmd has to be started after lircd as it connects to the socket lircd provides.

If you start lircd or lircmd from your shell prompt you will usually get back immediately to the prompt. Often people think that the program has died. But this is not an error. lircd and lircmd are daemons. Daemons always run in background.

SEE ALSO
The documentation for lirc is maintained as html pages. They are located under html/ in the documentation directory.